summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeo Prikler <leo.prikler@student.tugraz.at>2021-03-26 19:16:30 +0100
committerGuix Patches Tester <>2021-03-26 18:18:12 +0000
commita5c31e1782c6a88c5c301a5543edce7910376979 (patch)
tree6256e6fc761d734f1c89a08658e4def981df5918
parent88c5a5a91b977f51a19606bd27d24407172a75eb (diff)
downloadguix-patches-a5c31e1782c6a88c5c301a5543edce7910376979.tar
guix-patches-a5c31e1782c6a88c5c301a5543edce7910376979.tar.gz
gnu: gst-plugins-bad: Add missing inputs.series-7449
* gnu/packages/gstreamer.scm (gst-plugins-bad)[inputs]: Add chromaprint, faac, libde265, libmms, libgme, mjpegtools, openh264, schroedinger, vo-aacenc, vo-amrwbenc, wildmidi, zbar. Sort alphabetically.
-rw-r--r--gnu/packages/gstreamer.scm24
1 files changed, 18 insertions, 6 deletions
diff --git a/gnu/packages/gstreamer.scm b/gnu/packages/gstreamer.scm
index 1c7ba98a86..1f2ea2f002 100644
--- a/gnu/packages/gstreamer.scm
+++ b/gnu/packages/gstreamer.scm
@@ -37,6 +37,7 @@
#:use-module (guix build-system trivial)
#:use-module (guix utils)
#:use-module (gnu packages)
+ #:use-module (gnu packages aidc)
#:use-module (gnu packages audio)
#:use-module (gnu packages autotools)
#:use-module (gnu packages base)
@@ -728,20 +729,24 @@ model to base your own plug-in on, here it is.")
("python" ,python)))
(inputs
;; XXX: The following dependencies are missing:
- ;; vo-amrwbenc, vo-aacenc, bs2b, chromaprint, directfb, daala, libdts,
- ;; faac, flite, libgsm, libde265, libmms, libmimic, mjpegtools,
- ;; mpeg2enc, libofa, opencv, openh264, openni2, libtimemmgr, wildmidi,
- ;; openspc, gme, sbc, schroedinger, zbar, librtmp, spandsp
+ ;; bs2b, directfb, daala, libdts, flite, libgsm, libmimic,
+ ;; mpeg2enc, libofa, opencv, openni2, libtimemmgr,
+ ;; openspc, sbc, librtmp, spandsp
`(("bluez" ,bluez)
+ ("chromaprint" ,chromaprint)
("curl" ,curl)
+ ("faac" ,faac)
("faad2" ,faad2)
("fluidsynth" ,fluidsynth)
("gtk+" ,gtk+)
("ladspa" ,ladspa)
("libass" ,libass)
+ ("libde265" ,libde265)
+ ("libmms" ,libmms)
("libdvdnav" ,libdvdnav)
("libdvdread" ,libdvdread)
("libgcrypt" ,libgcrypt)
+ ("libgme" ,libgme)
("libgudev" ,libgudev)
("libkate" ,libkate)
("libmodplug" ,libmodplug)
@@ -756,7 +761,9 @@ model to base your own plug-in on, here it is.")
("libxml2" ,libxml2)
("lrdf" ,lrdf)
("mesa" ,mesa)
+ ("mjpegtools" ,mjpegtools)
("neon" ,neon)
+ ("openh264" ,openh264)
("openal" ,openal)
("openexr" ,openexr)
("openjpeg" ,openjpeg)
@@ -766,12 +773,17 @@ model to base your own plug-in on, here it is.")
;("qtbase" ,qtbase)
;("qtdeclarative" ,qtdeclarative)
;("qtx11extras" ,qtx11extras)
+ ("schroedinger" ,schroedinger)
("soundtouch" ,soundtouch)
;; GStreamer is not yet compatible with srt > 1.4.1.
("srt" ,srt-1.4.1)
- ("x265" ,x265)
+ ("vo-aacenc" ,vo-aacenc)
+ ("vo-amrwbenc" ,vo-amrwbenc)
+ ("wayland" ,wayland)
("webrtc-audio-processing" ,webrtc-audio-processing)
- ("wayland" ,wayland)))
+ ("wildmidi" ,wildmidi)
+ ("x265" ,x265)
+ ("zbar" ,zbar)))
(home-page "https://gstreamer.freedesktop.org/")
(synopsis "Plugins for the GStreamer multimedia library")
(description